Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19847/?format=api
{ "ob_id": 19847, "uuid": "7c114fc6e2884c1f9ca107e7a502fdbf", "title": "ESA Land Cover Climate Change Initiative (Land_Cover_cci): Land Surface Seasonality Products", "abstract": "This dataset consists of Land Surface Seasonality products produced as part of the ESA Land Cover Climate Change Initiative (CCI) project. The products are Vegetation Greenness (NDVI), Snow Occurrence and Burned Area Occurrence. \r\n\r\nOn a per pixel basis, these climatological variables reflect, along the year, the average trajectory and the inter-annual variability of a land surface feature over the 1999-2012 period. They are built from existing long-term global datasets with high temporal frequency and moderate spatial resolution (500m-1km). They result from a compilation of 14 years of 7-day instantaneous observations into 1 temporarily aggregated profile depicting, along the year, the reference behaviour for the vegetation greenness, the snow and the BA at global scale. These products are referred to as condition products in the product user guide.", "keywords": "Land Cover, CCI, Land Surface Seasonality, Condition", "publicationState": "published", "dataPublishedTime": "2016-08-12T09:13:49", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/19848/?format=api", "dataPath": "http://maps.elie.ucl.ac.be/CCI/viewer/download.php", "oldDataPath": [], "storageLocation": "external", "storageStatus": "online", "volume": 0, "numberOfFiles": 0, "fileFormat": "Data are in NetCDF and GeoTIFF" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5197/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were processed by the ESA CCI Land Cover project and catalogued here as part of the CCI Open Data Portal Project", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14431/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14430/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75327/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75328/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75330/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75331/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75329/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75333/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143302/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143303/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75332/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2629/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "", "licenceClassifications": "" } ], "discoveryKeywords": [ { "ob_id": 1140, "name": "ESACCI" } ] }